<?php
	require "acesso.php";

	$res = array();
	$id_firma    = $_POST['id_firma'];
	$id_device   = $_POST['id_device'];
	$veiculo     = $_POST['veiculo'];
	$conferente  = $_POST['conferente'];
	$pedido      = substr($_POST['pedido'], 0, 6);
	$controle    = substr($_POST['pedido'], -2);
	
	if (isset($_POST['fim'])) {
		$ret = $con->prepare("UPDATE mobile_pedidos SET separado = 1 WHERE codigo_pedi = '$pedido' AND arcontro = '/$controle' AND faturado = 0 AND separado = 0 AND sr_deleted != 'T'");
		$ret->execute();
		if ($ret->rowCount() > 0) {
			$ret = $con->prepare("UPDATE mobile_romaneio_pedidos SET data_hora_fim = CURRENT_TIMESTAMP() WHERE pedido = '$pedido/$controle' AND veiculo = '$veiculo' AND conferente = '$conferente'");
			$ret->execute();
			$res['c_pedido'] = $pedido;
			$res['c_controle'] = $controle;
			$res['c_conferente'] = $conferente;
			$res['c_veiculo'] = $veiculo;
			
			
			if($ret->rowCount() > 0) {
				$res["pedido"] = array();
				$res["sucesso"] = 1;
			} else {
				$res['sucesso'] = 0;
			}
		};
	} else {
		$ret = $con->prepare("SELECT m.codigo_pedi, m.arcontro, m.val_tot_vend, m.data_emis, CONCAT(r.arcodcli, '-', r.arnomcli) AS arnomcli, r.arfancli, CONCAT(r.arendcli,',', r.arnumend) AS arendcli, r.arbaicli, r.arcidcli
								FROM mobile_pedidos m
								LEFT JOIN re03 r ON r.arcodcli = m.codigo_clie
								WHERE codigo_pedi = '$pedido' AND arcontro = '/$controle' AND faturado = 0 AND separado = 0 AND m.sr_deleted != 'T'");
		$ret->execute();
		
		$mensagem = $ret->errorInfo();
		if($ret->rowCount() > 0) {
			$res["pedido"] = array();
			while ($row = $ret->fetch(PDO::FETCH_ASSOC)) {
				array_push($res["pedido"], $row);
			}
			$res["sucesso"] = 1; 
			// MARCAR O PEDIDO COMO EM_SEPARACAO
			$ret = $con->prepare("UPDATE mobile_pedidos SET em_separacao = 1 WHERE codigo_pedi = '$pedido' AND arcontro = '/$controle' AND faturado = 0 AND separado = 0 AND sr_deleted != 'T'");
			$ret->execute();
			// REGISTRAR O PEDIDO PARA O CAMINHÃO
			try {
				$ret = $con->prepare("INSERT INTO mobile_romaneio_pedidos (pedido, veiculo, conferente, data_hora_inicio) VALUE (CONCAT('$pedido','/','$controle'), '$veiculo', '$conferente', CURRENT_TIMESTAMP())");
				$ret->execute();
			} catch (Exception $e) {
				//echo 'Caught exception: ',  $e->getMessage(), "\n";
			}
			
		} else {
			$res['sucesso'] = 0;
			$res['pedido'] = $pedido;
			$res['controle'] = $controle;
			
			$res['mensagem'] = $mensagem[2];
		}
	}
	
	echo json_encode($res);
	$con = null;
?>